Bug 990512 - Review Request: rubygem-dalli - High performance memcached client for Ruby
Review Request: rubygem-dalli - High performance memcached client for Ruby
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Achilleas Pipinellis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 06:54 EDT by Josef Stribny
Modified: 2016-01-04 00:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 04:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
axilleas: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Josef Stribny 2013-07-31 06:54:14 EDT
Spec URL: http://data-strzibny.rhcloud.com/rubygem-dalli.spec
SRPM URL: http://kojipkgs.fedoraproject.org//work/tasks/3172/5683172/rubygem-dalli-2.6.4-1.fc20.src.rpm
Description: High performance memcached client for Ruby
Fedora Account System Username: jstribny
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5683170

Tests ran only locally as they cannot be run at the moment in koji. I will enable them after Rails 4.0 lands in rawhide.
Comment 1 Achilleas Pipinellis 2013-07-31 13:24:41 EDT
I'll take it of a review :)
Comment 2 Achilleas Pipinellis 2013-07-31 14:50:17 EDT
Since we are accelerating the packaging of Rails 4, tests are fine to be included afterwards. 

APPROVED

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     dalli-doc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 25 files have unknown license. Detailed output of
     licensecheck in /home/axil/review/990512-rubygem-dalli/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %doc %{gem_docdir}, %exclude
     %{gem_cache}, %{gem_spec}, %{gem_libdir}
[?]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-dalli-2.6.4-1.fc20.noarch.rpm
          rubygem-dalli-doc-2.6.4-1.fc20.noarch.rpm
rubygem-dalli.noarch: W: spelling-error Summary(en_US) memcached -> schemed
rubygem-dalli.noarch: W: spelling-error %description -l en_US memcached -> schemed
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-dalli rubygem-dalli-doc
rubygem-dalli.noarch: W: spelling-error Summary(en_US) memcached -> schemed
rubygem-dalli.noarch: W: spelling-error %description -l en_US memcached -> schemed
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-dalli (rpmlib, GLIBC filtered):
    ruby(release)
    ruby(rubygems)

rubygem-dalli-doc (rpmlib, GLIBC filtered):
    rubygem-dalli



Provides
--------
rubygem-dalli:
    rubygem(dalli)
    rubygem-dalli

rubygem-dalli-doc:
    rubygem-dalli-doc



Source checksums
----------------
https://rubygems.org/gems/dalli-2.6.4.gem :
  CHECKSUM(SHA256) this package     : 04fde96890b41a4b4c71bdcdddbf8522d7685bd3b57d4632ef2f4a04c481cbc1
  CHECKSUM(SHA256) upstream package : 04fde96890b41a4b4c71bdcdddbf8522d7685bd3b57d4632ef2f4a04c481cbc1


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 990512
Comment 3 Josef Stribny 2013-08-01 04:41:38 EDT
Thank you for the review.

New Package SCM Request
=======================
Package Name: rubygem-dalli
Short Description: High performance memcached client for Ruby
Owners: jstribny
Branches:
InitialCC:
Comment 4 Jon Ciesla 2013-08-01 08:17:47 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.